/*
 * File:           C:\Analog Devices\A1_1467\DOC017487466\P1_48\Project_1_48_IC_1_PARAM.h
 *
 * Created:        Wednesday, November 22, 2023 7:55:11 PM
 * Description:    Project_1_48:IC 1 parameter RAM definitions.
 *
 * This software is distributed in the hope that it will be useful,
 * but is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This software may only be used to program products purchased from
 * Analog Devices for incorporation by you into audio products that
 * are intended for resale to audio product end users. This software
 * may not be distributed whole or in any part to third parties.
 *
 * Copyright ©2023 Analog Devices, Inc. All rights reserved.
 */
#ifndef __PROJECT_1_48_IC_1_PARAM_H__
#define __PROJECT_1_48_IC_1_PARAM_H__


/* Module SafeLoadModule - SafeLoadModule*/
#define MOD_SAFELOADMODULE_COUNT                       11
#define MOD_SAFELOADMODULE_DEVICE                      "IC1"
#define MOD_SAFELOADMODULE_DATA_SAFELOAD0_ADDR         24576
#define MOD_SAFELOADMODULE_DATA_SAFELOAD0_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD1_ADDR         24577
#define MOD_SAFELOADMODULE_DATA_SAFELOAD1_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD2_ADDR         24578
#define MOD_SAFELOADMODULE_DATA_SAFELOAD2_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD3_ADDR         24579
#define MOD_SAFELOADMODULE_DATA_SAFELOAD3_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD4_ADDR         24580
#define MOD_SAFELOADMODULE_DATA_SAFELOAD4_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_ADDRESS_SAFELOAD_ADDR       24581
#define MOD_SAFELOADMODULE_ADDRESS_SAFELOAD_MEMORYPAGE 0
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_LOWER_ADDR     24582
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_LOWER_MEMORYPAGE 0
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_UPPER_ADDR     24583
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_UPPER_MEMORYPAGE 0

/* Module Nx2-1 - Stereo Switch Nx2*/
#define MOD_NX2_1_COUNT                                1
#define MOD_NX2_1_DEVICE                               "IC1"
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_ADDR       26
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_FIXPT      0x00000002
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_VALUE      SIGMASTUDIOTYPE_INTEGER_CONVERT(2)
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_TYPE       SIGMASTUDIOTYPE_INTEGER
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_MEMORYPAGE 0

/* Module Single 1 - Single Volume*/
#define MOD_SINGLE1_COUNT                              1
#define MOD_SINGLE1_DEVICE                             "IC1"
#define MOD_SINGLE1_GAINALGNS145X1GAIN_ADDR            27
#define MOD_SINGLE1_GAINALGNS145X1GAIN_VALUE           SIGMASTUDIOTYPE_8_24_CONVERT(0.00891250938133746)
#define MOD_SINGLE1_GAINALGNS145X1GAIN_TYPE            SIGMASTUDIOTYPE_8_24
#define MOD_SINGLE1_GAINALGNS145X1GAIN_MEMORYPAGE      0

/* Module Inv1 - Signal Invert*/
#define MOD_INV1_COUNT                                 1
#define MOD_INV1_DEVICE                                "IC1"
#define MOD_INV1_EQS300INVERT1INVERT_ADDR              28
#define MOD_INV1_EQS300INVERT1INVERT_FIXPT             0x00000001
#define MOD_INV1_EQS300INVERT1INVERT_VALUE             SIGMASTUDIOTYPE_INTEGER_CONVERT(1)
#define MOD_INV1_EQS300INVERT1INVERT_TYPE              SIGMASTUDIOTYPE_INTEGER
#define MOD_INV1_EQS300INVERT1INVERT_MEMORYPAGE        0

/* Module Inv2 - Signal Invert*/
#define MOD_INV2_COUNT                                 1
#define MOD_INV2_DEVICE                                "IC1"
#define MOD_INV2_EQS300INVERT2INVERT_ADDR              29
#define MOD_INV2_EQS300INVERT2INVERT_FIXPT             0x00000001
#define MOD_INV2_EQS300INVERT2INVERT_VALUE             SIGMASTUDIOTYPE_INTEGER_CONVERT(1)
#define MOD_INV2_EQS300INVERT2INVERT_TYPE              SIGMASTUDIOTYPE_INTEGER
#define MOD_INV2_EQS300INVERT2INVERT_MEMORYPAGE        0

#endif
